/*
 * Copyright (C) 2003  Diez B. Roggisch [deets@web.de]
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: PrefixMappingHandler.java 114 2005-12-09 15:51:51Z christianc $
 */
package org.barracudamvc.contrib.dbroggisch.examples.controller.handlers;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import org.barracudamvc.core.event.ControlEventContext;
import org.barracudamvc.core.event.EventException;
import org.barracudamvc.core.forms.ValidationException;
import org.barracudamvc.contrib.dbroggisch.page.Page;
import org.barracudamvc.contrib.dbroggisch.page.PageEventListener;
import org.apache.log4j.Logger;

import org.barracudamvc.contrib.dbroggisch.examples.controller.events.*;
import org.barracudamvc.contrib.dbroggisch.examples.model.forms.*;
import org.barracudamvc.contrib.dbroggisch.examples.view.pages.*;


public class PrefixMappingHandler extends PageEventListener {

    private static final Logger logger = Logger.getLogger(PrefixMappingHandler.class.getName());

    public void handleControlEvent(ControlEventContext context, Page p)
            throws EventException, ServletException, IOException {
        HttpServletRequest request = context.getRequest();
        List maps = new ArrayList();
        ParentFormMap pfm = new ParentFormMap();
        PrefixmappingPage pmPage = (PrefixmappingPage)p;
        pmPage.setState(ExampleBasePage.PREFIXMAPPING);
        maps.add(pfm);

        if (ParentFormMap.MODEL_NAME.equals(request.getParameter("visited"))) {
            try {
                pfm.map(request).validate(true);
            } catch(ValidationException ex) {
                logger.debug("Form Validation Exception", ex);
            }

            int cc = (pfm.getVal(ParentFormMap.CHILD_COUNT) != null ?
                  ((Integer)pfm.getVal(ParentFormMap.CHILD_COUNT)).intValue() : 0);

            if (context.getEvent() instanceof PrefixMappingAddChild) {
                cc++;
                pfm.getElement(ParentFormMap.CHILD_COUNT).setOrigVal("" + cc);

            }

            for (int i = 0; i < cc; i++) {
                ChildFormMap cfm = new ChildFormMap();
                cfm.setPrefix("CFM" + i);
                maps.add(cfm);
                try {
                    cfm.map(request).validate(true);
                } catch(ValidationException ex) {
                    logger.debug("Form Validation Exception", ex);
                }
            }
        }
        pmPage.setMaps(maps);
        context.getEvent().setHandled(true);
    }

}
