package org.barracudamvc.examples.xmlc.data;

import java.util.ArrayList;

/**
 * This object represents a data model whose state
 * consists of a list of users and a current position
 * within that list.
 */
public class UsersList extends ArrayList {

    //the master copy
    private static UsersList masterTable = null;
    
    //local vars
    private int pos = -1;

    /**
     * Build the master instance of some Table Data.
     */
    public static UsersList getMasterInstance() {
        if (masterTable==null) masterTable = getSampleInstance();
        return masterTable;
    }
            
    /**
     * Update the master copy
     */
    public static void setMasterInstance(UsersList itable) {
        masterTable = itable;
    }
    
    /**
     * Build a sample instance of some Table Data. THis is
     * just bogus data used to create a heirarchical data 
     * structure which acts as the true data "model" (in the
     * abstract sense of the word, not in the MVC sense)
     */
    public static UsersList getSampleInstance() {
        UsersList table = new UsersList();
        UserData ud = null;
        
        ud = new UserData();
        ud.put(UserData.SELECTED, new Boolean(true));
        ud.put(UserData.FIRST_NAME, "John");
        ud.put(UserData.LAST_NAME, "Doe");
        ud.put(UserData.GENDER, new Boolean(true));
        ud.put(UserData.AGE, new Integer(35));
        ud.put(UserData.EMAIL, "JohnD@anonymous.com");
        ud.put(UserData.PHONE, "831-471-1234");
        ud.put(UserData.NOTES, "");
        ud.setNew(false);
        ud.setDirty(false);
        table.add(ud);

        ud = new UserData();
        ud.put(UserData.SELECTED, new Boolean(false));
        ud.put(UserData.FIRST_NAME, "Jane");
        ud.put(UserData.LAST_NAME, "Lizmon");
        ud.put(UserData.GENDER, new Boolean(false));
        ud.put(UserData.AGE, new Integer(28));
        ud.put(UserData.EMAIL, "123Lizmon@aol.com");
        ud.put(UserData.PHONE, "831-471-4321");
        ud.put(UserData.NOTES, "");
        ud.setNew(false);
        ud.setDirty(false);
        table.add(ud);

        ud = new UserData();
        ud.put(UserData.SELECTED, new Boolean(true));
        ud.put(UserData.FIRST_NAME, "William");
        ud.put(UserData.LAST_NAME, "Rensworth");
        ud.put(UserData.GENDER, new Boolean(true));
        ud.put(UserData.AGE, new Integer(17));
        ud.put(UserData.EMAIL, "willier@mcaw.com");
        ud.put(UserData.PHONE, "360-413-1556");
        ud.put(UserData.NOTES, "Hasn't been seen for weeks...");
        ud.setNew(false);
        ud.setDirty(false);
        table.add(ud);

        ud = new UserData();
        ud.put(UserData.SELECTED, new Boolean(true));
        ud.put(UserData.FIRST_NAME, "Brian");
        ud.put(UserData.LAST_NAME, "Switer");
        ud.put(UserData.GENDER, new Boolean(true));
        ud.put(UserData.AGE, new Integer(54));
        ud.put(UserData.EMAIL, "brian.switer@aol.com");
        ud.put(UserData.PHONE, "831-544-7632");
        ud.put(UserData.NOTES, "Brian likes to sail yatchs...");
        ud.setNew(false);
        ud.setDirty(false);
        table.add(ud);

        ud = new UserData();
        ud.put(UserData.SELECTED, new Boolean(false));
        ud.put(UserData.FIRST_NAME, "Elizabeth");
        ud.put(UserData.LAST_NAME, "McKormick");
        ud.put(UserData.GENDER, new Boolean(false));
        ud.put(UserData.AGE, new Integer(34));
        ud.put(UserData.EMAIL, "lizzym@yahoo.com");
        ud.put(UserData.PHONE, "406-731-8856");
        ud.put(UserData.NOTES, "Loves ballroom dancing");
        ud.setNew(false);
        ud.setDirty(false);
        table.add(ud);
        
        ud = new UserData();
        ud.put(UserData.SELECTED, new Boolean(false));
        ud.put(UserData.FIRST_NAME, "Sweaty");
        ud.put(UserData.LAST_NAME, "Muggeridge");
        ud.put(UserData.GENDER, new Boolean(true));
        ud.put(UserData.AGE, new Integer(47));
        ud.put(UserData.EMAIL, "sm@pigiron.com");
        ud.put(UserData.PHONE, "312-435-4487");
        ud.put(UserData.NOTES, "");
        ud.setNew(false);
        ud.setDirty(false);
        table.add(ud);
        
        ud = new UserData();
        ud.put(UserData.SELECTED, new Boolean(false));
        ud.put(UserData.FIRST_NAME, "Lawrence");
        ud.put(UserData.LAST_NAME, "Welkomich");
        ud.put(UserData.GENDER, new Boolean(true));
        ud.put(UserData.AGE, new Integer(132));
        ud.put(UserData.EMAIL, "lw@letsapolka.com");
        ud.put(UserData.PHONE, "944-633-1524");
        ud.put(UserData.NOTES, "What is there to say...");
        ud.setNew(false);
        ud.setDirty(false);
        table.add(ud);
        
        ud = new UserData();
        ud.put(UserData.SELECTED, new Boolean(true));
        ud.put(UserData.FIRST_NAME, "Gerhardus");
        ud.put(UserData.LAST_NAME, "Voss");
        ud.put(UserData.GENDER, new Boolean(true));
        ud.put(UserData.AGE, new Integer(132));
        ud.put(UserData.EMAIL, "gerhardusv@wts.edu");
        ud.put(UserData.PHONE, "755-413-8973");
        ud.put(UserData.NOTES, "");
        ud.setNew(false);
        ud.setDirty(false);
        table.add(ud);
        
        return table;
    }
    
    /**
     * Set the current pos
     */
    public void setCurrentPos(int ipos) {
        pos = ipos;
    }
    
    /**
     * Get the current pos
     */
    public int getCurrentPos() {
        return pos;
    }
    
}

